use rustible::Facts;
use rustible::modules::{PlaybookRun, Module, Command};

fn main() -> Result<(), rustible::modules::command::CommandError> {
    let facts = Facts::new();
    println!("Hello, world! Running system {}", facts.os.family().as_str());

    let mut playbook = PlaybookRun::new();

    let cmd = Command::new().program("echo").args(&vec!("lol".to_string())).build();
    let res = cmd.run()?;
    println!("{}", res.success());
    
    let cmd = Command::new().program("echo").args(&vec!("lol".to_string())).build();
    playbook.run(cmd)?;
    
    let cmd = Command::new()
        .creates("/tmp/lol")
        .program("touch")
        .arg("/tmp/lol")
        .build();
    playbook.run(cmd)?;
    //let res = cmd.run

    playbook.print_json_pretty();

    Ok(())
}